# res://path/to/your/Player.gd
extends CharacterBody2D

const SPEED = 130.0
const JUMP_VELOCITY = -300.0
const GRAVITY = 980.0
const DEATH_Y = 1000  # Adjust this depending on your level size

func _physics_process(delta: float) -> void:
	# Apply gravity
	if not is_on_floor():
		velocity.y += GRAVITY * delta

	# Handle jump
	if Input.is_action_just_pressed("ui_accept") and is_on_floor():
		velocity.y = JUMP_VELOCITY

	# Handle movement
	var direction := Input.get_axis("ui_left", "ui_right")
	if direction:
		velocity.x = direction * SPEED
	else:
		velocity.x = move_toward(velocity.x, 0, SPEED)

	# Move the character
	move_and_slide()

	# Fall death check
	if position.y > DEATH_Y:
		die()

func die():
	# Play the death sound
	if $DeathSound:
		$DeathSound.play()

	# Wait a moment before reloading the scene
	await get_tree().create_timer(0.6).timeout
	get_tree().reload_current_scene()
